import request from '@/utils/request'

// 查询资产信息列表
export function listInformation(query) {
  return request({
    url: '/asset/information/list',
    method: 'get',
    params: query
  })
}

// 查询资产信息详细
export function getInformation(id) {
  return request({
    url: '/asset/information/' + id,
    method: 'get'
  })
}

// 新增资产信息
export function addInformation(data) {
  return request({
    url: '/asset/information',
    method: 'post',
    data: data
  })
}

// 修改资产信息
export function updateInformation(data) {
  return request({
    url: '/asset/information',
    method: 'put',
    data: data
  })
}

// 删除资产信息
export function delInformation(id) {
  return request({
    url: '/asset/information/' + id,
    method: 'delete'
  })
}
